<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Configuration for Moodle's base theme.
 *
 * This theme is special, and implements a minimalist theme with only
 * basic layout. It is intended as a base for other themes to build upon.
 * It is not recommend to actually choose this theme for production sites!
 *
 * DO NOT COPY THIS TO START NEW THEMES!
 * Start with another theme, like "standard".
 *
 * For full information about creating Moodle themes, see:
 *  http://docs.moodle.org/dev/Themes_2.0
 *
 * @package   theme_aardvard_postit
 * @copyright 2012 Mary Evans
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
?>

<div class="profilepic" id="profilepic">
    <?php
        if (!isloggedin() or isguestuser()) {
            echo '<a href="'.$CFG->wwwroot.'/user/view.php?id='.$USER->id.'&amp;course='.$COURSE->id.'"><img src="'.$CFG->wwwroot.'/user/pix.php?file=/'.$USER->id.'/f1.jpg" width="80px" height="80px" title="Guest" alt="Guest" /></a>';
        }else{
            echo '<a href="'.$CFG->wwwroot.'/user/view.php?id='.$USER->id.'&amp;course='.$COURSE->id.'"><img src="'.$CFG->wwwroot.'/user/pix.php?file=/'.$USER->id.'/f1.jpg" width="80px" height="80px" title="'.$USER->firstname.' '.$USER->lastname.'" alt="'.$USER->firstname.' '.$USER->lastname.'" /></a>';
        }
    ?>
</div>

<?php

    function get_content () {
    global $USER, $CFG, $SESSION, $COURSE;
    $wwwroot = '';
    $signup = '';}

    if (empty($CFG->loginhttps)) {
        $wwwroot = $CFG->wwwroot;
    } else {
        $wwwroot = str_replace("http://", "https://", $CFG->wwwroot);
    }

if (!isloggedin() or isguestuser()) {
    echo '<div class="profilelogin" id="profilelogin">';
    echo '<form id="login" method="post" action="'.$wwwroot.'/login/index.php?authldap_skipntlmsso=1">';
    echo '<ul>';
    echo '<li><input class="loginform" type="text" name="username" id="login_username" value="" placeholder="'.get_string('username').'" /></li>';
    echo '<li><input class="loginform" type="password" name="password" id="login_password" value="" placeholder="'.get_string('password').'" /></li>';
    echo '<li><input type="submit" value="&nbsp;&nbsp;'.get_string('login').'&nbsp;&nbsp;" /></li>';
    echo '</ul>';
    echo '</form>';
    echo '</div>';
    echo '</div>';
} else {
    echo '<div class="profilename" id="profilename">';
    echo '<a href="'.$CFG->wwwroot.'/user/view.php?id='.$USER->id.'&amp;course='.$COURSE->id.'">'.$USER->firstname.' '.$USER->lastname.'</a>';
?>

<a id="imageDivLink" href="javascript:toggle5('profilebar', 'imageDivLink');" title="show &#9660;/hide &#9650;">&#9660;</a>

</div><!-- end of graphicwrap -->
</div><!-- end of headerwrap -->

<div id="profilebar-outerwrap">
    <div class="profilebar" id="profilebar" style="display: none;">
        <div id="profilebar-innerwrap">


                <div id="profilebar-block1">
                    <h4><?php echo get_string('myblocks','theme_aardvark_postit');?></h4>
                    <?php {
                        if ($haspbarpre)
                            echo $OUTPUT->blocks_for_region('pbar-pre');
                          }
                     ?>
                </div>


                <div id="profilebar-block2">
                    <h4><?php echo get_string('myblocks','theme_aardvark_postit');?></h4>
                    <?php {
                        if ($haspbarpost)
                            echo $OUTPUT->blocks_for_region('pbar-post');
                          }
                     ?>
                </div>

            <div id="profilebar-account" class="profileoptions">
                <h4><?php echo get_string('myaccount','theme_aardvark_postit');?></h4>
                <ul>
                    <li><a href="<?php echo $CFG->wwwroot; ?>/my" title="<?php echo get_string('mycourses');?>"><img src="<?php echo $OUTPUT->pix_url('profile/courses', 'theme')?>" /></a></li>
                    <li><a href="<?php echo $CFG->wwwroot; ?>/user/profile.php" title="<?php echo get_string('myprofile');?>"><img src="<?php echo $OUTPUT->pix_url('profile/profile', 'theme')?>" /></a></li>
                    <li><a href="<?php echo $CFG->wwwroot; ?>/user/filesedit.php" title="<?php echo get_string('myfiles');?>"><img src="<?php echo $OUTPUT->pix_url('profile/myfiles', 'theme')?>" /></a></li>
                </ul>
            </div>

            <div id="profilebar-mystuff" class="profileoptions">
            <h4><?php echo get_string('mystuff','theme_aardvark_postit');?></h4>
                <ul>
                    <li><a href="<?php echo $CFG->wwwroot; ?>/calendar/view.php?view=month" title="<?php echo get_string('calendar','calendar');?>"><img src="<?php echo $OUTPUT->pix_url('profile/calendar', 'theme')?>" /></a></li>

                    <li><a href="<?php {
                        if ($hasemailurl)
                          echo $PAGE->theme->settings->emailurl;
                        } ?>" title="<?php echo get_string('email','theme_aardvark_postit');?>">
                        <img src="<?php echo $OUTPUT->pix_url('profile/email', 'theme')?>" /></a>       </li>

                    <li><a href="<?php echo $CFG->wwwroot; ?>/login/logout.php"
                     title="<?php echo get_string('logout');?>"><img src="<?php echo $OUTPUT->pix_url('profile/logout', 'theme')?>" /></a></li>
                </ul>
            </div>
            </div>
        </div>
     </div>
  <div class="profilebarclear">
</div><?php
} ?>